|  | Home · All Classes · Modules

# QWebHitTestResult Class Reference
[QtWebKit module]

The QWebHitTestResult class provides information about the web page content after a hit test. More...

### Methods

- __init__ (self)
- __init__ (self, QWebHitTestResult other)
- QString alternateText (self)
- QWebFrame frame (self)
- QUrl imageUrl (self)
- bool isContentEditable (self)
- bool isContentSelected (self)
- bool isNull (self)
- QWebFrame linkTargetFrame (self)
- QString linkText (self)
- QUrl linkTitle (self)
- QUrl linkUrl (self)
- QPixmap pixmap (self)
- QPoint pos (self)
- QString title (self)

## Detailed Description

The QWebHitTestResult class provides information about the web page content after a hit test.

QWebHitTestResult is returned by QWebFrame.hitTestContent() to provide information about the content of the web page at the specified position.

## Method Documentation

### QWebHitTestResult.__init__ (self)

Constructs a null hit test result.

### QWebHitTestResult.__init__ (self, QWebHitTestResult other)

Constructs a hit test result from other.

### QString QWebHitTestResult.alternateText (self)

Returns the alternate text of the element. This corresponds to the HTML alt attribute.

### QWebFrame QWebHitTestResult.frame (self)

Returns the frame the hit test was executed in.

### QUrl QWebHitTestResult.imageUrl (self)

Returns the url of the image.

### bool QWebHitTestResult.isContentEditable (self)

Returns true if the content is editable by the user; otherwise returns false.

### bool QWebHitTestResult.isContentSelected (self)

Returns true if the content tested is part of the selection; otherwise returns false.

### bool QWebHitTestResult.isNull (self)

Returns true if the hit test result is null; otherwise returns false.

### QWebFrame QWebHitTestResult.linkTargetFrame (self)

Returns the frame that will load the link if it is activated.

### QString QWebHitTestResult.linkText (self)

Returns the text of the link.

### QUrl QWebHitTestResult.linkTitle (self)

Returns the title of the link.

### QUrl QWebHitTestResult.linkUrl (self)

Returns the url to which the link points to.

### QPixmap QWebHitTestResult.pixmap (self)

Returns a QPixmap containing the image. A null pixmap is returned if the element being tested is not an image.

### QPoint QWebHitTestResult.pos (self)

Returns the position where the hit test occured.

### QString QWebHitTestResult.title (self)

Returns the title of the nearest enclosing HTML element.